/* GCC */

#include <iostream>
#include <cstdio>
#include <iomanip>
#include <vector>
#include <algorithm>
#include <cmath>
#include <cctype>
using namespace std;

const int Size = 100100;
char buffer[10000];
int index = 0, bytesRead = 0;
FILE *fin, *fout;

int fgetch()
{
    if (index < bytesRead)
        return buffer[index++];
    bytesRead = fread(buffer, 1, 1000, fin);
    if (bytesRead == 0)
        return -1;
    return fgetch();
}

int getInt()
{
    char ch = fgetch();

    while (ch <= 32 && ch != -1)
        ch = fgetch();

    int ans = 0;
    while (isdigit(ch)) {
        ans = ans*10 + ch -'0';
        ch = fgetch();
    }
    return ans;
}

const int m = 123456789,
    a = 123456;

int arr[Size], h[Size], g[Size], h1[Size], g1[Size], revArr[Size], pows[Size];

inline int aPow(int p)
{
    if (pows[0] == 1)
        return pows[p];
    pows[0] = 1;
    for (int i = 1; i < Size; ++i)
        pows[i] = ((long long)pows[i-1]*a)%m;
    return pows[p];
}

void getG(int n, int g[], int arr[])
{
    g[0] = arr[0];

    for (int i=1;i<n;++i)
        g[i] = ((long long)g[i-1]*a%m + arr[i])%m;
}

void getH(int n, int h[], int arr[])
{
    h[0] = arr[0];

    for (int i=1;i<n;++i)
        h[i] = ((long long)aPow(i)*arr[i]%m + h[i-1])%m;
}

int solve(int n)
{
    for (int i=0, j= n-1; i < n; ++i, --j)
        revArr[i] = arr[j];
    getH(n, h, arr);
    getG(n, g, arr);
    getH(n, h1, revArr);
    getG(n, g1, revArr);

    for (int i = 1; i < n-1; ++i) {
        if (h[i-1] == g[i-1] && h1[n-i-2] == g1[n-i-2])
            return (i!=1?i+1:1);
    }

    return 0;
}

int main()
{
    fin = fopen("symmetry.in", "r");
    fout = fopen("symmetry.out", "w");
    int t = getInt();

    for (int tt=0;tt<t;++tt) {
        int n = getInt();
        static int temp[Size];

        for (int i=0;i<n;++i)
            temp[i] = getInt();
        for (int i=1;i<n;++i)
            arr[i-1] = temp[i]-temp[i-1];
        fprintf(fout, "%d\n", solve(n-1));
    }

    fclose(fin);
    fclose(fout);
    return 0;
}
