/* GCC */
#include <stdio.h>

using namespace std;

typedef long long ll;

const ll MOD=49993, POW=49991;

const int MAX=1e5+2;

ll arr[MAX], lft[MAX], rgt[MAX], power[MAX], rewop[MAX];

ll bp(ll a, ll b)
{
    ll ret=1;
    while(b)
    {
        if(b&1) ret=(ret*a)%MOD;
        a=(a*a)%MOD;
        b>>=1;
    }
    return ret;
}

bool check(int l, int r)
{
    int tmp=r;
    for(int i=l; i<=r; ++i)
        if(arr[i]!=arr[tmp--])
            return false;
    return true;
}

int main()
{
    freopen("symmetry.in", "r", stdin);
    freopen("symmetry.out", "w", stdout);
    power[0]=1;
    for(int i=1; i<MAX; ++i)
    {
        power[i]=(power[i-1]*POW)%MOD;
        rewop[i]=bp(power[i], MOD-2);
    }
int t; scanf("%d", &t); while(t--)
{
    int n, prv;
    scanf("%d%d", &n, &prv);
    for(int i=1; i<n; ++i)
    {
        int in;
        scanf("%d", &in);
        arr[i]=in-prv;
        prv=in;
    }
    for(int i=1; i<=n; ++i)
        lft[i]=(lft[i-1]+arr[i]*power[i])%MOD;
    for(int i=n-1; i>=0; --i)
        rgt[i]=(rgt[i+1]+arr[i]*power[n-i])%MOD;
    int ans=0;
    for(int i=1; i<n; ++i)
    {
        if(lft[i-1]==((rgt[0]-rgt[i]+MOD)%MOD*rewop[i])%MOD &&
           rgt[i+1]==((lft[n]-lft[i]+MOD)%MOD*rewop[i])%MOD &&
           check(1, i-1) && check(i+1, n-1) )
        {
            ans=i;
            break;
        }
    }
    printf("%d\n", ans);
}
    return 0;
}
